// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawn.hpp"

/**
 * Shows an error message box on the host device. This method should be blocking
 * and should not return until the user has acknowledged the error.
 * 
 * @param message Message to display.
 */
void errorMessageBox(const std::u8string &message);

/**
 * Logs an error message to the host device.
 * 
 * @param message Message to log.
 */
void errorLog(const std::string &message);