// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "Game.hpp"
#include "scene/Scene.hpp"
#include "scene/item/SceneItem2D.hpp"

using namespace Dawn;

Game::Game() {

}

void Game::init() {
  
  currentScene = std::make_shared<Scene>(weak_from_this());
  auto myItem = currentScene->addSceneItem<SceneItem2D>("myItem");
}

void Game::update() {

}

std::shared_ptr<Scene> Game::getCurrentScene() {
  return currentScene;
}

void Game::setActiveScene(std::shared_ptr<Scene> scene) {
  auto previousCurrent = currentScene;
  if(previousCurrent != nullptr) {
    previousCurrent->inactive();
  }

  currentScene = scene;

  if(currentScene != nullptr) {
    currentScene->active();
  }
}

Game::~Game() {
  
}