// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawn.hpp"

namespace Dawn {
  class Language {
    public:
      /**
       * Gets a language string from the language definition set.
       * 
       * @param key The key to look up in the language file.
       * @param args A pair of strings to replace in the language string.
       * @return The language string.
       */
      static std::u8string get(
        const char_t key[],
        const std::pair<std::string, std::u8string> &args = std::make_pair("", u8"")
      );
  };
}