// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "scene/item/SceneItem.hpp"

namespace Dawn {
  class SceneItem2D : public SceneItem {
    private:
      
    public:
      float_t x = 0.0f;
      float_t y = 0.0f;
      float_t rotation = 0.0f;

      /**
       * Creates a new SceneItem2D.
       * 
       * @param parent The parent item.
       */
      SceneItem2D(
        std::weak_ptr<SceneItem> parent,
        std::weak_ptr<Scene> scene
      );

      /**
       * Destroys this SceneItem2D.
       */
      virtual ~SceneItem2D();
  };
}