// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "string.hpp"

bool_t stringIncludes(
  const std::string &haystack,
  const std::string &needle
) {
  return haystack.find(needle) != std::string::npos;
}

std::string stringToLowercase(const std::string &str) {
  std::string lower = str;
  std::transform(lower.begin(), lower.end(), lower.begin(), ::tolower);
  return lower;
}

std::vector<std::string> stringSplit(
  const std::string &str,
  const std::string &delim
) {
  std::vector<std::string> parts;
  size_t start = 0;
  size_t end = str.find(delim);
  while(end != std::string::npos) {
    parts.push_back(str.substr(start, end - start));
    start = end + delim.length();
    end = str.find(delim, start);
  }
  parts.push_back(str.substr(start, end));
  return parts;
}