// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "error/error.hpp"
#include <boxer/boxer.h>

void errorMessageBox(const std::u8string &message) {
  std::string titleStr = DAWN_GAME_NAME;
  std::string messageStr = (
    message.length() > 0 ?
    std::string(message.cbegin(), message.cend()) :
    std::string()
  );

  boxer::show(
    messageStr.c_str(),
    titleStr.c_str(),
    boxer::Style::Error,
    boxer::Buttons::Quit
  );
}

void errorLog(const std::string &message) {
  std::cerr << message << std::endl;
}