/**
 * Copyright (c) 2023 Dominic Masters
 * 
 * This software is released under the MIT License.
 * https://opensource.org/licenses/MIT
 */

#include "main.hpp"
#include "host/DawnGLFWHost.hpp"

using namespace Dawn;

int32_t main(const int32_t argc, const char_t **argv) {
  std::shared_ptr<DawnGLFWHost> host = std::make_shared<DawnGLFWHost>();
  
  auto result = host->init(argc, argv);
  if(result != DawnGLFWInitResult::SUCCESS) {
    return (int32_t)result;
  }

  host->start();

  host = nullptr;

  return 0;
}