// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "RenderManager.hpp"
#include "game/Game.hpp"

using namespace Dawn;

RenderManager::RenderManager() {
}

void RenderManager::init(const Game &game) {
  backBuffer = std::make_shared<BackBuffer>();
  backBuffer->setClearColor(COLOR_CORNFLOWER_BLUE);
}

void RenderManager::update(const Game &game) {
  backBuffer->bind();
  backBuffer->clear(RENDER_TARGET_CLEAR_COLOR | RENDER_TARGET_CLEAR_DEPTH);
}

std::shared_ptr<BackBuffer> RenderManager::getBackBufferRenderTarget() {
  return backBuffer;
}

RenderManager::~RenderManager() {
}