// Copyright (c) 2023 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawn.hpp"
#include "dawnopengl.hpp"

namespace Dawn {
  enum class ShaderStageType {
    VERTEX,
    FRAGMENT,
    // COMPUTE
  };

  class ShaderStage {
    public:
      GLuint id = -1;
      const enum ShaderStageType type;

      /**
       * Constructs a new ShaderStage.
       * 
       * @param type The type of shader this is.
       * @param source The source code to compile.
       */
      ShaderStage(const enum ShaderStageType type, const std::string source);

      /**
       * Disposes of the shader stage.
       */
      ~ShaderStage();
  };
}