// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "error/error.hpp"
#include <pspkernel.h>
#include <pspdebug.h>
#include <pspctrl.h>
#include <pspdisplay.h>

void errorMessageBox(const std::u8string &message) {
  // c8string to cstring
  std::string messageStr = (
    message.length() > 0 ?
    std::string(message.cbegin(), message.cend()) :
    std::string()
  );

  // Print Hello World! on a debug screen on a loop
  pspDebugScreenInit();
  while(1) {
    pspDebugScreenSetXY(0, 0);
    pspDebugScreenPrintf(messageStr.c_str());
    sceDisplayWaitVblankStart();
  }
}

void errorLog(const std::string &message) {
  std::cerr << message << std::endl;
}