// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#pragma once
#include "dawnopengl.hpp"
#include "dawn.hpp"

namespace Dawn {
  enum class DawnVitaInitResult {
    SUCCESS = 0,
    FAILURE = 1
  };

  class DawnVitaHost {
    private:

    public:
      /**
       * Creates a new Vita Host.
       */
      DawnVitaHost();

      /**
       * Initializes the Vita Host.
       * 
       * @return The result of the initialization.
       */
      DawnVitaInitResult init();

      /**
       * Starts the Vita Host, called after the Vita Host has been initialized.
       */
      void start();

      /**
       * Destroys the Vita Host.
       */
      ~DawnVitaHost();
  };
}