// Copyright (c) 2024 Dominic Masters
// 
// This software is released under the MIT License.
// https://opensource.org/licenses/MIT

#include "main.hpp"
#include "host/DawnVitaHost.hpp"

using namespace Dawn;
GLfloat alpha_ref = 0.0f;

int32_t main(void) {
  std::shared_ptr<DawnVitaHost> host = std::make_shared<DawnVitaHost>();
  
  auto result = host->init();
  if(result != DawnVitaInitResult::SUCCESS) {
    return (int32_t)result;
  }
  
  host->start();
  host = nullptr;

  return 0;
}